@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Lexend:wght@100..900&display=swap');

/* Modal Styles */
/* Prevent background scrolling */
.stop-scrolling {
  height: 100%;
  overflow: hidden;
}


.modal-overlay {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.6);
  backdrop-filter: blur(2px);
  overflow-y: auto;       /* Allows the overlay to scroll if content is too tall */
  padding: 20px 0;        /* Adds a little breathing room at the top/bottom */
}

.modal-content {
  background-color: #fff;
  margin: 10% auto;
  padding: 0;
  border: 2px solid #CDCDCD;
  width: 500px;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.3);
  -webkit-box-shadow: 0 5px 15px rgba(0,0,0,0.3);
  overflow: hidden;
  animation: modalFadeIn 0.3s;
  position: relative;
}

@keyframes modalFadeIn {
  from {opacity: 0; transform: translateY(-20px);}
  to {opacity: 1; transform: translateY(0);}
}

.modal-header {
  background-color: #369992;
  color: white;
  padding: 15px;
  font-weight: bold;
  font-size: 1.1rem;
}

.modal-body {
  padding: 20px;
  line-height: 1.5;
  font-size: 0.9rem;
}

.modal-body ul {
  padding-left: 20px;
}

.modal-footer {
  padding: 15px;
  text-align: right;
  background-color: #f9f9f9;
  border-top: 1px solid #eee;
}

.btn-primary, .btn-secondary {
  font-family: 'Archivo', sans-serif;
  padding: 8px 16px;
  border-radius: 8px;
  cursor: pointer;
  font-weight: bold;
  border: none;
}

.btn-primary {
  background-color: #369992;
  color: white;
  margin-left: 10px;
}

button.btn-primary:hover{
background:#CC6C20;
border: 1px solid #CC6C20;
box-shadow: 0 2px 2px 0 rgba(0,0,0,0.3), 0 2px 2px 0 rgba(0,0,0,0.25);
transform:translateY(1px);
}

.btn-secondary {
  background-color: #ccc;
  color: #333;
}

button.btn-secondary:hover {
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3); 
  transform: translateY(1px); 
}